<div class="b-wrapper">
  <div *ngFor="let item of items; let first = first; let last = last; trackBy: trackByFn" class="b-item">
    <eui-icon-svg *ngIf="!first" set="outline" icon="chevron-forward" [size]="'xs'" class="b-separator"></eui-icon-svg>
    <button euiButton euiBasicButton *ngIf="item.url && !last" class="eui-u-text-link b-light" (click)="handleButtonClick(item.url)">
      <eui-icon-svg
        *ngIf="item.icon"
        set="sharp"
        icon="{{ item.icon }}"
        [size]="'s'"
        [euiTooltip]="item.iconTooltip ? ('app.main.breadcrumbTooltip.'.concat(item.iconTooltip) | translate) : null">
      </eui-icon-svg>
      <span *ngIf="item.label" [euiTooltip]="item.label.length > 40 ? (item.label | translate) : null" [position]="'below'">
        {{ item.label | translate | euiTruncate: 40 }}
      </span>
      <span *ngIf="item.text">{{ item.text | euiTruncate: 40 }}</span>
    </button>
    <div *ngIf="!item.url || last" class="b-text b-light eui-button eui-button--basic">
      <eui-icon-svg
        *ngIf="item.icon"
        set="sharp"
        icon="{{ item.icon }}"
        [size]="'s'"
        [euiTooltip]="item.iconTooltip ? ('app.main.breadcrumbTooltip.'.concat(item.iconTooltip) | translate) : null">
      </eui-icon-svg>
      <span *ngIf="item.label" [euiTooltip]="item.label.length > 40 ? (item.label | translate) : null" [position]="'below'">
        {{ item.label | translate | euiTruncate: 40 }}
      </span>
      <span *ngIf="item.text">{{ item.text | euiTruncate: 40 }}</span>
    </div>
  </div>
</div>
